Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class UserOptionsViewModulesPage

Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
hdf.view.dialog.UserOptionsDefaultPage
hdf.view.dialog.UserOptionsViewModulesPage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`

public class UserOptionsViewModulesPage extends UserOptionsDefaultPage
UserOptionsViewModulesPage.java - Configuration page for user-implementable modules.

- ## Field Summary

  ### Fields inherited from class hdf.view.dialog.UserOptionsDefaultPage

  `curFont, rootDir, shell`

  ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

  `ERROR, INFORMATION, NONE, WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserOptionsViewModulesPage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.eclipse.swt.widgets.Control`
  `createContents​(org.eclipse.swt.widgets.Composite parent)`
  Creates and returns the SWT control for the customized body of this preference page under the given parent composite.
  `protected void`
  `load()`
  Loads all stored values in the `FieldEditor`s.
  `void`
  `performDefaults()`
  Performs special processing when this page's Defaults button has been pressed.
  `boolean`
  `performOk()`
  Notifies that the OK button of this page's container has been pressed.

  ### Methods inherited from class hdf.view.dialog.UserOptionsDefaultPage

  `createControl`

  ### Methods inherited from class org.eclipse.jface.preference.PreferencePage

  `applyData, applyDialogFont, computeSize, contributeButtons, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

  ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

  `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

  `dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, setDescription, setImageDescriptor, setVisible`

- ## Constructor Details

  - ### UserOptionsViewModulesPage

    public UserOptionsViewModulesPage()

- ## Method Details

  - ### performDefaults

    public void performDefaults()
    Performs special processing when this page's Defaults button has been pressed.
    Overrides:
      `performDefaults` in class `org.eclipse.jface.preference.PreferencePage`

  - ### performOk

    public boolean performOk()
    Notifies that the OK button of this page's container has been pressed.
    Specified by:
      `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
    Overrides:
      `performOk` in class `org.eclipse.jface.preference.PreferencePage`
    Returns:
      `false` to abort the container's OK processing and `true` to allow the OK to happen

  - ### load

    protected void load()
    Loads all stored values in the `FieldEditor`s.

  - ### createContents

    protected org.eclipse.swt.widgets.Control createContents​(org.eclipse.swt.widgets.Composite parent)
    Creates and returns the SWT control for the customized body of this preference page under the given parent composite.
    Specified by:
      `createContents` in class `org.eclipse.jface.preference.PreferencePage`
    Parameters:
      `parent` - the parent composite
    Returns:
      the new control